#ifndef FRAME_H_
#define FRAME_H_

#include <vector>
#include <iostream>
#include "Gti.h"
#include "LightCurve.h"

class Frames : public Gti {

 public:
  Frames(double start, double stop, double fracExp);
  ~Frames() {};
  
  double getFracExp();
  double _fracExp;
 private:
  
};

class FrameList :  public std::vector<Frames> {
public:
	FrameList() {};
	~FrameList() {};
	void printFrames();
	void printDeadTime();
	
private:

};


class Exposure {
	
public:
	Exposure(FrameList);
	~Exposure() {};
	
	void doCorr(LCGrid *lc, std::multimap<double,int>* events, std::string inst, bool, std::string subMode);
	void printCorr();
	
private:
	void randomizePNEvents(LCGrid *lc,  std::multimap<double,int>* events, unsigned int gtiBin, unsigned int frameBin);
	FrameList _frameList;
	std::vector<double> _expoCorr;
	
};

class DeadTime {
	
public:
	DeadTime(FrameList);
	~DeadTime() {};
	
	void doCorr(LCGrid *lc);
	void printCorr();
	
private:
	FrameList _frameList;
	std::vector<double> _deadTimeCorr;
	
};

#endif /*FRAME_H_*/
