#ifndef SPEC_H_
#define SPEC_H_

#include <vector>
#include <string>
#include "Gti.h"

class Spec {
	
public:
	Spec(){};
	Spec(std::string name);
	~Spec();
	
	enum arfgenType {SRC, ON, BKG};
	
	void setBackscale(int);
	int getBackscale();
	void calArfgen(arfgenType mode);
	void setEventFileName(std::string evtName);
	void readSpec();
	void readArf(arfgenType mode);
	void removeArfFile();
	
	void setWeigthedMean(double);
	double getWeigthedMean();
	
	std::vector<double> _srcSpecResp;
	std::vector<double> _onSpecResp;

	std::vector<int> _counts;
	std::vector<int> _channels;
	double _specval;
	int _specpix;
	int _specdelt;
	GtiList _energyList;
	
private:		
	
	std::string _specName;
	std::string _eventFileName;
	int _backscale;
	double _weigthedMean;
	
	
};
#endif /*SPEC_H_*/
