//
//	checkDeadTimeCorr: test to epic Dead Time correction algorithm.
//  AI, Wed Jan 30 14:33:06 GMT 2008
//
//

#include <cassert>
#include <iostream>
#include <iomanip>

#include "FrameTable.h"
//#include "LCGrid.h"
#include "LightCurve.h"

using namespace std;

int main()
{
	//gti.fits
	double binSize = 100.0;
	LightCurve timeBin = LightCurve(193459441.567537,193467250.0,binSize);      
	
	
	FrameTable in1("gti.fits:EXPOSU01");
	FrameList li1; in1>>li1;
	
	DeadTime deadTime(li1);
	deadTime.doCorr(timeBin.getLC());		
	
	
	assert(timeBin.getLC()->_fracExp[62]-0.0198084 < 1e-7);
	assert(timeBin.getLC()->_fracExp[63] == 0.0);
	assert(timeBin.getLC()->_fracExp[64] == 0.0);
	
	
	return 0;
}
